std::stop_token(3cxx)

NAME
std::stop_token - Allow testing whether a stop request has been made on a stop_source.

SYNOPSIS

  Public Member Functions

stop_token (const stop_token &) noexcept=default
stop_token (stop_token &&) noexcept=default
stop_token & operator= (const stop_token &) noexcept=default
stop_token & operator= (stop_token &&) noexcept=default
bool stop_possible () const noexcept
bool stop_requested () const noexcept
void swap (stop_token &__rhs) noexcept

  Friends

bool operator== (const stop_token &__a, const stop_token &__b)
template<typename _Callback > class stop_callback
class stop_source
void swap (stop_token &__lhs, stop_token &__rhs) noexcept

Detailed Description

Allow testing whether a stop request has been made on a stop_source.

Author

Generated automatically by Doxygen for libstdc++ from the source code.